> For the complete documentation index, see [llms.txt](https://docs.octusbridge.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.octusbridge.io/integrate/octus-bridge-contracts/everscale/bridge-section/event-contracts-dao.md).

# event-contracts-dao

### DaoEthereumActionEvent

#### **`afterSignatureCheck`**

Returns DAO event in slice format.

```
function afterSignatureCheck(TvmSlice body, TvmCell /*message*/) private inline view returns (TvmSlice)
```

**Parameters:**

| Name | Type     | Description                      |
| ---- | -------- | -------------------------------- |
| body | TvmSlice | Contains data such as functionId |
|      | TvmCell  |                                  |

**Return values:**

| Type     | Description                           |
| -------- | ------------------------------------- |
| TvmSlice | DAO event represented in slice format |

#### **`close`**

When event is confirmed/rejected transfer back gas used for triggering event.

```
function close() public view
```

#### **`getGasBackAddress`**

Returns address which will receive returned gas.

```
function getGasBackAddress() private view returns(address)
```

**Return values:**

| Type    | Description                         | Description                      |
| ------- | ----------------------------------- | -------------------------------- |
| address | Address to return the remaining gas | Contains data such as functionId |

#### **`getDecodedData`**

Decodes DAO event data from ethereum and returns address for returned gas, chain ID and actions done in ETH.

```
function getDecodedData() public view responsible returns (
        address gasBackAddress,
        uint32 chainId,
        ActionStructure.EthActionStripped[] actions)
```

**Return values:**

| Name           | Type                 | Description                         |
| -------------- | -------------------- | ----------------------------------- |
| gasBackAddress | address              | Address to return the remaining gas |
| chainId        | uint32               | The id of the chain                 |
| actions        | EthActionStripped\[] | The array of ethereum actions       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.octusbridge.io/integrate/octus-bridge-contracts/everscale/bridge-section/event-contracts-dao.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
